<?php

declare(strict_types=1);

namespace A2G\A2gMaps\Domain\Repository;

/**
 * This file is part of the "Products" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2021 Raphael Martin <raphy.martin@gmail.com>, none
 */

/**
 * The repository for SysFileReference
 */
class SysFileReferenceRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {

    /**
     * @var array
     */
//    protected $defaultOrderings = [
//        'sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING
//    ];
    
    public function initializeObject() {
        $querySettings = $this->objectManager->get(\TYPO3\CMS\Extbase\Persistence\Generic\Typo3QuerySettings::class);
        $querySettings->setRespectStoragePage(false);
        $this->setDefaultQuerySettings($querySettings);
    }
    
    public function findByTablename(string $tableName, int $uid){
        $query = $this->createQuery();
        $sql = 'SELECT sfrT.* FROM sys_file_reference AS sfrT ';
        $sqlWhere = 'WHERE sfrT.hidden=0 AND sfrT.deleted=0 AND sfrT.tablenames = :dcTablename AND sfrT.uid_foreign = :dcUid ';
       
        $arguments = [
            ':dcTablename' => $tableName,
            ':dcUid' => $uid
        ];
        $query->statement($sql . $sqlWhere, $arguments);
        return $query->execute();
}
}
